/*
  Fractal by HTML5 UP
  html5up.net | @ajlkn
  Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
*/

(function ($) {

  var $window = $(window),
    $body = $('body');

  // Breakpoints.
  breakpoints({
    xlarge: ['1281px', '1680px'],
    large: ['981px', '1280px'],
    medium: ['737px', '980px'],
    small: ['481px', '736px'],
    xsmall: ['361px', '480px'],
    xxsmall: [null, '360px']
  });

  // Play initial animations on page load.
  $window.on('load', function () {
    window.setTimeout(function () {
      $body.removeClass('is-preload');
    }, 100);
  });

  // Mobile?
  if (browser.mobile)
    $body.addClass('is-mobile');
  else {

    breakpoints.on('>medium', function () {
      $body.removeClass('is-mobile');
    });

    breakpoints.on('<=medium', function () {
      $body.addClass('is-mobile');
    });

  }

  // Scrolly.
  $('.scrolly').scrolly({ speed: 500 });

  // Set up video thumbnail click handler
  function clickHandler() {
    var video = document.getElementById('videoplayer');
    video.play();

    var wrapper = document.getElementById('videoplayer');
    wrapper.removeEventListener('click', clickHandler, false);
  }

  function initClickHandler() {
    var wrapper = document.getElementById('videoplayer');
    wrapper.addEventListener('click', clickHandler, false);
  }

  // Attach an event to oncontentload
  document.addEventListener('DOMContentLoaded', initClickHandler);

  // Set up herowrapper card click events
  var cards = document.querySelectorAll('#herowrapper div.card');
  for (let card of cards) {
    card.addEventListener('click', evtHandleCardClick);
  }

  // On page load, show all 3 cards
  $window.on('load', function () {
    var cards = document.querySelectorAll('#herowrapper div.card');
    var basedelay = 750;
    var speed = 1500 / cards.length;

    // Deselect all cards when we're done
    cards = Array.from(cards);
    cards.push(null);

    for (let i in cards) {
      window.setTimeout(function () {
        focusHeroCard(cards[i]);
      }, basedelay + (speed * i));
    }
  });
})(jQuery);

function evtHandleCardClick(e) {
  focusHeroCard(e.currentTarget);
}

function focusHeroCard(selectedCard) {
  var cards = document.querySelectorAll('#herowrapper div.card');

  for (let card of cards) {
    // If this was the card we clicked
    if (card == selectedCard) {
      card.classList.add('selected');
    } else {
      card.classList.remove('selected');
    }
  }
}
